# Function setResource

- setResource(value, path?, initializeToTypeIfNotExist?): Promise<void>

- Set a resource value by path

  #### Parameters

  - value: any

    new value of the resource to set

  - `Optional` path: string

    path of the resource to set, default to state path

  - `Optional` initializeToTypeIfNotExist: string

    if the resource does not exist, initialize it with this type

  #### Returns Promise<void>

  - Defined in src/client.ts:283